<template>
  <div class="projects">
    <img class="leftsideimg" src="../assets/image/leftside.png" alt="">
    <p class="projects_text">Проекты</p>
    <ProjectCrouselComponent
     class="container"
     @next="next"
     @prev="prev"
    >
        <ProjectCrouselSlideComponent v-for="(slide,n) in slids" :key="n" :n="n" :visibleSlide="visibleSlide" :direction="direction">
            <div class="slider">
                    <div class="screen">
                        <div class="photo">
                            Screen
                        </div>
                            <p>All projects</p>
                    </div>
                    <div class="info">
                        <p>{{slide.project_name}}</p>
                        <p>{{slide.info}}</p>
                    </div>
                </div>
        </ProjectCrouselSlideComponent>

    </ProjectCrouselComponent> 
  </div>
</template>

<script>
import ProjectCrouselComponent from '../components/ProjectCrouselComponent'
import ProjectCrouselSlideComponent from '../components/ProjectCrouselSlideComponent'
export default {
    components:{
        ProjectCrouselComponent,
        ProjectCrouselSlideComponent
    },
    methods:{
        next(){
            if(this.visibleSlide >= this.slids.length-1){
                this.visibleSlide = 0
            }
            else{
                this.visibleSlide++
            }
            this.direction = 'left'
        },
        prev(){
            if(this.visibleSlide <= 0){
                this.visibleSlide = this.slids.length -1
            }
            else{
                this.visibleSlide--
            }
            this.direction = 'right'
            
        }
    },
    data(){
        return {
            slids: [
                {
                    project_name: 'Kupizalog.com',
                    img: '',
                    id:0,
                    info:'Lorem ipsum, dolor sit amet consectetur adipisicing elit. Placeat maiores id laborum quaerat nulla exercitationem dolorum nihil. Cumque eligendi, a minus possimus quidem in, voluptate nesciunt amet laborum mollitia quaerat.'
                },
                {
                    project_name: 'OnMonday.com',
                    img: '',
                    id:1,
                    info:'Create a carousel/slide using Vuejs Please Like/share and subscribe for more content ^_^  if you have any questions please feel free to ask.'
                },
                {
                    project_name: 'SduEduPortal.com',
                    img: '',
                    id:2,
                    info:'Lorem ipsum soldi black my name asdaslsdkl asdalksd'
                },
                {
                    project_name: 'DealtApp.kz',
                    img: '',
                    id:3,
                    info:'Delta app  - Өту керек тақырыптардан тек қана керекті материалдар, универлер жайлы қызықты да, керекті мағлұматтар, өзіне мақсат қою мен оны фактымен салыстыру графиктерін құрастыра аласың, келесі курстарға алуан түрлі жеңілдіктер мен жүлделер ойнатылымы және тағы да басқалар!!!'
                },
            ],
            visibleSlide: 0,
            direction: 'left',
        }
        
    },
}
</script>

<style scoped>
    @media only screen and (max-width: 1024px) and (min-width:769px) {
        
        .leftsideimg{
            left: 20px !important; 
            top: 868px !important; 
            height: 210vh !important;
            
        }
        
        .projects_text{
            margin-top: 230px !important;
        }
    } 
    @media only screen and (max-width: 768px) and (min-width:601px) {
        .carousel {
            display: flex !important;
            flex-direction: column !important;
        }
        .photo{
            height: 42vh !important;
        }
        .leftsideimg{
            left: 20px !important; 
            top: 863px !important; 
            height: 300vh !important;
            
        }
        .slider_buttons .button {
            width: 43.8px !important;
        }
        .projects_text{
            margin-top: 230px !important;
        }
    }
   @media only screen and (max-width: 600px) {
        
        .leftsideimg{
            position: absolute;
            left: 20px !important; 
            top: 700px !important; 
            width:12%;
            
        }
       
        .projects_text{
            width: 183px;
            font-size: 20px !important;
            font-family: Open Serif;
            transform: rotate(-90deg);
            text-transform: uppercase;
            color: rgba(255, 255, 255, 0.4);
            position: absolute;
            margin-top: 220px !important;
            margin-left: -40px !important;
            font-weight: bolder;
        }
        .slider_buttons{
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            margin-left: 50px;
            cursor: pointer;
            
        }
        button{
            border:none;
            display: block;
            background: transparent;
            outline: none;
            cursor: pointer;
            width: 26.8px;
            height: 51.29px;
            display: none !important;
        }

        .photo{
            background: #c4c4c4;   
            width: 390px;
            height: 420px;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .info p{
            width: 100% !important;
            text-align: center;
        }
        .info{
            width: 150px !important;
            height: 50px !important;
            display: flex !important;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }
        
        .screen{
            
            width: 100px !important;
            display: none !important;
            justify-content: center;
            align-items: center;
            flex-direction: column;
        }
        .container{
        /* display: flex; */
        padding-left: 85px !important;
    }
        .slider{
            width: 276px !important;
            height: 408px !important;
            background: #0094FF;
            font-size: 14px !important;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            margin-top: 200px !important;
        }
    }

    .flex{
        display: flex;
    }
   

    .photo{
        background: #c4c4c4;   
        width: 26vw;
        height: 50vh;
        display: flex;
        justify-content: center;
        align-items: center;
     
    }
    .info p{
        width: 26vw;
        text-align: center;
        
    }
    .info{
        width: 35vw;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        
    }
    .screen{
        width: 35vw;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        
    }
    .slider{
        width: 70vw;
        height: 538px;
        background: #0094FF;
        margin-top: 154px;
        display: flex;
    }
    .container{
        padding-left: 205px;
    }
    .leftsideimg{
        position: absolute;
        left: 50px; 
        top: 745px; 
        height: 390vh;
          
    }
    .projects_text{
        width: 183px;
        font-size: 35px;
        font-family: Open Serif;
        transform: rotate(-90deg);
        text-transform: uppercase;
        color: rgba(255, 255, 255, 0.4);
        position: absolute;
        margin-top: 158px;
        margin-left: 35px;
        font-weight: bolder;
    }
</style>